package com.alterdekim.game.controller.result.async;

import com.alterdekim.game.xml.NumericBooleanSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
public class Flags {
    @JacksonXmlProperty(isAttribute = true, localName = "IsUserDetailsMissing")
    @JsonSerialize(using= NumericBooleanSerializer.class)
    private Boolean isUserDetailsMissing;

    @JacksonXmlProperty(isAttribute = true, localName = "EntranceCount")
    private Integer entranceCount;
}
