package com.alterdekim.game.controller.result.api;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;

@AllArgsConstructor
public class LocationObjectInstanceResult {
    @JsonProperty
    private Long id;

    @JsonProperty
    private Integer objectTypeId;

    @JsonProperty
    private Integer objectId;

    @JsonProperty
    private Integer objectReferenceId;

    @JsonProperty
    private Long mediaResourceId;

    @JsonProperty
    private Long locationId;

    @JsonProperty
    private Double x;

    @JsonProperty
    private Double y;

    @JsonProperty
    private String options;

    @JsonProperty
    private String comment;
}
